Summary: Scanner access software.
Name: sane
Version: 1.0.1
Release: 4
Copyright: GPL (programs), relaxed LGPL (libraries), and public domain (docs)
Group: Applications/System
Source: ftp://ftp.mostang.com/pub/sane/sane-%{version}.tar.gz
Source1: xscanimage.wmconfig
Patch: sane-1.0.1-sparc.patch
URL: http://www.mostang.com/sane/
BuildRoot: /var/tmp/sane-root
Provides: libsane.so.1

%description
Scanner Access Now Easy (SANE) is a universal scanner interface.  The
SANE application programming interface (API) provides standardized
access to any raster image scanner hardware (flatbed scanner,
hand-held scanner, video and still cameras, frame-grabbers, etc.). If
they're using SANE, developers can write image-processing applications
without having to think about the peculiarities of individual devices.
SANE also makes it possible to write a device driver once, which can
then be used by any SANE-compliant application. SANE currently
includes drivers for some Epson SCSI scanners, HP ScanJet SCSI
scanners, Microtek SCSI scanners, Mustek SCSI flatbed scanners, PINT
devices, most UMAX SCSI scanners, Connectix QuickCam, and other SANE
devices via network. Note that this package does not enable network
scanning by default.  If you wish to enable network scanning, read the
saned(1) manpage.  If you'd like to develop SANE modules, you should
also install the sane-devel package.

%package devel
Summary: The SANE (a universal scanner interface) development toolkit.
Group: Development/Libraries
Requires: sane = %{PACKAGE_VERSION}

%description devel
Static libraries and header files for writing Scanner Access Now Easy
(SANE) modules.  SANE is a universal scanner interface which is
included in the sane package.

%prep
%setup -q
%patch -p1 -b .sparc
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=/etc \
	--enable-shared --enable-static
make
make ps -C doc


%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/xscanimage.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/xscanimage

%clean
rm -rf $RPM_BUILD_ROOT

%post
FNAME=/etc/ld.so.conf.$$
grep -v "/usr/lib/sane" /etc/ld.so.conf > $FNAME
echo "/usr/lib/sane" >> $FNAME
mv -f $FNAME /etc/ld.so.conf
/sbin/ldconfig

%postun
FNAME=/etc/ld.so.conf.$$
grep -v "/usr/lib/sane" /etc/ld.so.conf > $FNAME
mv -f $FNAME /etc/ld.so.conf

%files
%config /etc/X11/wmconfig/xscanimage
%config /etc/sane.d/*
%dir /etc/sane.d
/usr/bin/*
/usr/sbin/*
/usr/lib/libsane*.so.*
%doc doc/*.ps doc/icons doc/figs doc/*.man
/usr/man/*/*
%dir /usr/lib/sane
/usr/lib/sane/*.so.*
%doc AUTHORS NEWS PROBLEMS PROJECTS README

%files devel
/usr/include/sane
/usr/lib/libsane*.a
/usr/lib/libsane*.so
/usr/lib/sane/*.a
/usr/lib/sane/*.so

%changelog
* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Tue May 11 1999 Bill Nottingham <notting@redhat.com>
- make it play nice with xsane, add ld.so.conf entries

* Wed Apr 21 1999 Bill Nottingham <notting@redhat.com>
- update to 1.0.1

* Tue Oct 13 1998 Michael Maher <mike@redhat.com>
- updated package

* Thu May 21 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.73

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- umax drivers were missing from the file list.

* Sun Dec  7 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig
- fixed library problem

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- got newer package from Sane web site than our old powertools one
